summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-libs/libsigc++')
-rw-r--r--dev-libs/libsigc++/Manifest1
-rw-r--r--dev-libs/libsigc++/libsigc++-2.10.3.ebuild55
2 files changed, 56 insertions, 0 deletions
diff --git a/dev-libs/libsigc++/Manifest b/dev-libs/libsigc++/Manifest
index 13b5024fdd1..0b2dd87dbdf 100644
--- a/dev-libs/libsigc++/Manifest
+++ b/dev-libs/libsigc++/Manifest
@@ -1,2 +1,3 @@
DIST libsigc++-1.2.7.tar.bz2 326205 BLAKE2B b316460178224c0b8177ce9a236c69a8b737bf7356b290b59eaeb60b09285c61d113bfc7de89bd712c3c049a492f5cc36d205ac77816aff73e587e8a42ade520 SHA512 79fd9657219459bce64fc069dbcb054959e324b5d546b5f11acaae5e5bedcc4dca699a21c949e3f6b2ec0dbe1c3dba3981158e5950d0aaba5028445b2ad5740f
DIST libsigc++-2.10.1.tar.xz 4062388 BLAKE2B 3bd988acae78b7d463c966fa5c8da68b35d8a0b0bf4762811b7a9fdf82357b29aaa48d64e19f4cb6bd0f42ee70ad77a64a4905d1ad609dbe11ca8ff7596527c6 SHA512 e2bd7b1a97019be010dee1594271bbf7cae92b28e31dcb3c6d7d60643a0996233f0a75a9337b4afcb5b7dc453bfc3159d82f6daacfbcd8993a39ccecaf811bb2
+DIST libsigc++-2.10.3.tar.xz 4558428 BLAKE2B fcaaae7bf3a3aea30c0b8b63d7a7c5fa137d16128ef9652b611613118e323f7bcabafe28d42407df0e08c323c540143c152ac91e04e9f101c1971ddaf0f9144c SHA512 3c7f90be84724e39073c05624ad2bee6a5835e2c6cb6cf9e605edc6574eb7cd99ec153aaca6e8fcf7e3a6c031c4e9c334da32d04177d36788e64a17667c70b4e
diff --git a/dev-libs/libsigc++/libsigc++-2.10.3.ebuild b/dev-libs/libsigc++/libsigc++-2.10.3.ebuild
new file mode 100644
index 00000000000..a74aef48138
--- /dev/null
+++ b/dev-libs/libsigc++/libsigc++-2.10.3.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit gnome2 flag-o-matic multilib-minimal
+
+DESCRIPTION="Typesafe callback system for standard C++"
+HOMEPAGE="http://libsigc.sourceforge.net/"
+
+LICENSE="LGPL-2.1+"
+SLOT="2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+IUSE="doc static-libs test"
+RESTRICT="!test? ( test )"
+
+RDEPEND=""
+DEPEND="sys-devel/m4
+ doc? ( app-doc/doxygen )
+ test? ( dev-libs/boost[${MULTILIB_USEDEP}] )"
+# Needs mm-common for eautoreconf
+
+src_prepare() {
+ # don't waste time building examples
+ sed -i 's|^\(SUBDIRS =.*\)examples\(.*\)$|\1\2|' \
+ Makefile.am Makefile.in || die "sed examples failed"
+
+ # don't waste time building tests unless USE=test
+ if ! use test ; then
+ sed -i 's|^\(SUBDIRS =.*\)tests\(.*\)$|\1\2|' \
+ Makefile.am Makefile.in || die "sed tests failed"
+ fi
+
+ gnome2_src_prepare
+}
+
+multilib_src_configure() {
+ filter-flags -fno-exceptions #84263
+
+ ECONF_SOURCE="${S}" gnome2_src_configure \
+ $(multilib_native_use_enable doc documentation) \
+ $(use_enable static-libs static) \
+ $(use_enable test benchmark)
+}
+
+multilib_src_install() {
+ gnome2_src_install
+}
+
+multilib_src_install_all() {
+ einstalldocs
+
+ # Note: html docs are installed into /usr/share/doc/libsigc++-2.0
+ # We can't use /usr/share/doc/${PF} because of links from glibmm etc. docs
+ use doc && dodoc -r examples
+}